nonblock.c File Reference
`#include "ruby.h"`
`#include "ruby/io.h"`
`#include <fcntl.h>`

Go to the source code of this file.

## Macros

#define | io_nonblock_mode(fd) ((void)(fd), 0)
#define | rb_io_nonblock_p rb_f_notimplement
#define | rb_io_nonblock_set rb_f_notimplement
#define | rb_io_nonblock_block rb_f_notimplement

## Functions

void | Init_nonblock (void)

## Macro Definition Documentation

#define io_nonblock_mode | ( |  | fd | ) | ((void)(fd), 0)

Definition at line 29 of file nonblock.c.

#define rb_io_nonblock_block rb_f_notimplement

Definition at line 103 of file nonblock.c.

Referenced by Init_nonblock().

#define rb_io_nonblock_p rb_f_notimplement

Definition at line 43 of file nonblock.c.

Referenced by Init_nonblock().

#define rb_io_nonblock_set rb_f_notimplement

Definition at line 102 of file nonblock.c.

Referenced by Init_nonblock().

## Function Documentation

void Init_nonblock | ( | void |  | ) |

Definition at line 107 of file nonblock.c.

References rb_cIO, rb_define_method(), rb_io_nonblock_block, rb_io_nonblock_p, and rb_io_nonblock_set.